Subject: Re: [16NG] Re: traffic classification

From: Tim Enos <[email-masked]>
Date: Mon, 05 Feb 2007 15:05:35 -0600 (CST)

Hi all,

>From: Jari Arkko <[email-masked]>
>Date: 2007/02/05 Mon AM 10:42:22 CST
>To: Alexandru Petrescu <[email-masked]>
>Cc: [email-masked]
>Subject: Re: [16NG] Re: traffic classification

>Alexandru,
>>
>> For QoS, there exist no resolution function like ND or DNS that would
>> resolve a DSCP into a 802.16 Traffic Priority.
>>
>> Remark I'm not talking about mapping an IPv6 Traffic Class DSCP into a
>> CID but into a 802.16 Traffic Priority or a 802.16 Service Name.
>>
>I browsed the relevant parts of 802.16 standards today.
>
>The standard clearly says that it has a capability to filter
>based on multiple fields in an IP packet, including the DSCP
>field. The standard also clearly says that the classification
>ensures the packet is delivered using the right QoS
>characteristics.
>
>I understand the desire to have an automatic mapping
>that operates without any configured policy. But in
>this case we clearly have functionality in the lower
>layer that is designed for the QoS purpose. We may
>disagree with that design. But it would be odd if the
>IETF added its own competing QoS mapping mechanisms
>on top of it.

It seems that how to perform an automatic mapping (of an IPv6 Traffic Class value to a particular scheduling service) would be beyond the scope of the IEEE 802.16 standard. The text from which I derive that impression is in 6.3.14.7 which states in part:

"The provisioning of service flows is done via means outside the scope of this standard, such as the network managment system."

Not sure, but I'd figure we'd not try to define such an automatic mapping (in this draft at least). As an aside, it seems to me that traffic which would at the network layer be marked with Traffic Class EF (RFC 2598) (e.g. VoIP) could likely be traffic that would also be provisioned with a UGS service flow (6.3.5.2.1). 

In terms of priority, it seems the only scheduling service that requires the Traffic Priority QoS parameter (11.13.5) is nrtPS (6.3.5).

Respectfully,

Tim Enos
Rom 8:28

>
>Jari
>
>
>_______________________________________________
>16NG mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/16ng

_______________________________________________
16NG mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/16ng